Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.subscriber
Class Callback

    java.lang.Object
      |
      +--context.arch.subscriber.Callback

public class Callback
extends java.lang.Object

This class is a container for a callback and associated attributes.

Field Summary
`static java.lang.String` | `CALLBACK` Tag for a callback
`static java.lang.String` | `CALLBACK_NAME` Tag for the name of the callback

Constructor Summary
`Callback()` Empty constructor
`Callback(DataObject data)` Constructor that takes a DataObject holding the callback info.
`Callback(java.lang.String name, Attributes atts)` Constructor that takes a name and attributes object

Method Summary
`Attributes` | `getAttributes()` Returns the attributes for the callback
`java.lang.String` | `getName()` Returns the name of the callback
`void` | `setAttributes(Attributes atts)` Sets the attributes for the callback
`void` | `setName(java.lang.String name)` Sets the name of a callback
`DataObject` | `toDataObject()` This method converts the Callback object to a DataObject
`java.lang.String` | `toString()` A printable version of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CALLBACK_NAME

    public static final java.lang.String CALLBACK_NAME

  Tag for the name of the callback

### CALLBACK

    public static final java.lang.String CALLBACK

  Tag for a callback

Constructor Detail

### Callback

    public Callback()

  Empty constructor

### Callback

    public Callback(java.lang.String name,
                    Attributes atts)

  Constructor that takes a name and attributes object
  Parameters:
    `name` - Name of callback to store
    `atts` - Attributes of the callback

### Callback

    public Callback(DataObject data)

  Constructor that takes a DataObject holding the callback info. The expected tag of the DataObject is
  Parameters:
    `data` - DataObject containing the callback info

Method Detail

### toDataObject

    public DataObject toDataObject()

  This method converts the Callback object to a DataObject
  Returns:
    Callback object converted to a DataObject

### setName

    public void setName(java.lang.String name)

  Sets the name of a callback
  Parameters:
    `name` - Name of the callback to store

### setAttributes

    public void setAttributes(Attributes atts)

  Sets the attributes for the callback
  Parameters:
    `atts` - Attributes of the callback

### getName

    public java.lang.String getName()

  Returns the name of the callback
  Returns:
    name of the callback

### getAttributes

    public Attributes getAttributes()

  Returns the attributes for the callback
  Returns:
    attributes for the callback

### toString

    public java.lang.String toString()

  A printable version of this class.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String version of this class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD